Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields | Protected Attributes
Lucene::MultiTermEnum Class Reference

`#include <DirectoryReader.h>`

Inheritance diagram for Lucene::MultiTermEnum:

## Public Member Functions

| MultiTermEnum (const IndexReaderPtr &topReader, Collection< IndexReaderPtr > readers, Collection< int32_t > starts, const TermPtr &t)
virtual | ~MultiTermEnum ()
virtual String | getClassName ()
boost::shared_ptr< MultiTermEnum > | shared_from_this ()
virtual bool | next ()
| Increments the enumeration to the next element. True if one exists.
virtual TermPtr | term ()
| Returns the current Term in the enumeration.
virtual int32_t | docFreq ()
| Returns the docFreq of the current Term in the enumeration.
virtual void | close ()
| Closes the enumeration to further activity, freeing resources.
Public Member Functions inherited from Lucene::TermEnum
virtual | ~TermEnum ()
boost::shared_ptr< TermEnum > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermEnum
static String | _getClassName ()

## Data Fields

IndexReaderWeakPtr | _topReader
Collection< SegmentMergeInfoPtr > | matchingSegments

## Protected Attributes

SegmentMergeQueuePtr | queue
TermPtr | _term
int32_t | _docFreq
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ MultiTermEnum()

Lucene::MultiTermEnum::MultiTermEnum | ( | const IndexReaderPtr & | topReader,
|  | Collection< IndexReaderPtr > | readers,
|  | Collection< int32_t > | starts,
|  | const TermPtr & | t
| ) |  |

## ◆ ~MultiTermEnum()

virtual Lucene::MultiTermEnum::~MultiTermEnum | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::MultiTermEnum::_getClassName | ( |  | ) |

inline static

## ◆ close()

virtual void Lucene::MultiTermEnum::close | ( |  | ) |

virtual

Closes the enumeration to further activity, freeing resources.

Implements Lucene::TermEnum.

## ◆ docFreq()

virtual int32_t Lucene::MultiTermEnum::docFreq | ( |  | ) |

virtual

Returns the docFreq of the current Term in the enumeration.

Implements Lucene::TermEnum.

## ◆ getClassName()

virtual String Lucene::MultiTermEnum::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermEnum.

## ◆ next()

virtual bool Lucene::MultiTermEnum::next | ( |  | ) |

virtual

Increments the enumeration to the next element. True if one exists.

Implements Lucene::TermEnum.

## ◆ shared_from_this()

boost::shared_ptr< MultiTermEnum > Lucene::MultiTermEnum::shared_from_this | ( |  | ) |

inline

## ◆ term()

virtual TermPtr Lucene::MultiTermEnum::term | ( |  | ) |

virtual

Returns the current Term in the enumeration.

Implements Lucene::TermEnum.

## Field Documentation

## ◆ _docFreq

int32_t Lucene::MultiTermEnum::_docFreq

protected

## ◆ _term

TermPtr Lucene::MultiTermEnum::_term

protected

## ◆ _topReader

IndexReaderWeakPtr Lucene::MultiTermEnum::_topReader

## ◆ matchingSegments

Collection<SegmentMergeInfoPtr> Lucene::MultiTermEnum::matchingSegments

## ◆ queue

SegmentMergeQueuePtr Lucene::MultiTermEnum::queue

protected

The documentation for this class was generated from the following file:

- DirectoryReader.h

clucene.sourceforge.net